.TH CosNotifyChannelAdmin_StructuredProxyPushSupplier 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotifyChannelAdmin_StructuredProxyPushSupplier \- This module implements the OMG CosNotifyChannelAdmin::StructuredProxyPushSupplier interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
This module also exports the functions described in:
.RS 2
.TP 2
*
CosNotifyComm_NotifySubscribe
.TP 2
*
CosNotification_QoSAdmin
.TP 2
*
CosNotifyFilter_FilterAdmin
.TP 2
*
CosNotifyChannelAdmin_ProxySupplier
.RE

.SH EXPORTS
.LP
.B
connect_structured_push_consumer(StructuredProxyPushSupplier, PushConsumer) -> Reply
.br
.RS
.TP
Types
StructuredProxyPushSupplier = #objref
.br
PushConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_AlreadyConnected\&'{}} | {\&'EXCEPTION\&', #\&'CosEventChannelAdmin_TypeError\&'{}}
.br
.RE
.RS
.LP
This operation connects a \fIPushConsumer\fR to the target object\&. If a connection already exists or the function \fIpush_structured_event\fR is not supported by the client object an exception is raised\&.
.RE
.LP
.B
suspend_connection(StructuredProxyPushSupplier) -> Reply
.br
.RS
.TP
Types
StructuredProxyPushSupplier = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
This operation suspends the connection with the target object\&. If no connection exists or the connection already is suspended an exception is raised\&.
.RE
.LP
.B
resume_connection(StructuredProxyPushSupplier) -> Reply
.br
.RS
.TP
Types
StructuredProxyPullConsumer = #objref
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_ConnectionAlreadyInactive\&'{}} | {\&'EXCEPTION\&', #\&'CosNotifyChannelAdmin_NotConnected\&'{}}
.br
.RE
.RS
.LP
If the connection with the target object have been suspended this function must be used to resume the connection\&. If no client have been connected or the connection is active an exception is raised\&.
.RE
.LP
.B
disconnect_structured_push_supplier(StructuredProxyPushSupplier) -> ok
.br
.RS
.TP
Types
StructuredProxyPushSupplier = #objref
.br
.RE
.RS
.LP
This operation cause the target object to close the connection and terminate\&.
.RE
